
#ifndef _%{APPNAMELC}_H_
#define _%{APPNAMELC}_H_

#include <tqstring.h>
#include <tqcstring.h>

#include <kurl.h>
#include <tdeio/global.h>
#include <tdeio/slavebase.h>

class TQCString;

class tdeio_%{APPNAMELC}Protocol : public TDEIO::SlaveBase
{
public:
    tdeio_%{APPNAMELC}Protocol(const TQCString &pool_socket, const TQCString &app_socket);
    virtual ~tdeio_%{APPNAMELC}Protocol();
    virtual void mimetype(const KURL& url);
    virtual void get(const KURL& url);
};

#endif
